/*
 *  Copyright 2003-2014  Mikhail Kryshen <mikhail@kryshen.net>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.games1729.shariks;

import java.util.Random;

public class CrazySharik extends Sharik {
    //final static float RADIUS = 7f;
    final static float RADIUS = 17f;

    public CrazySharik(Field field) {
	super(field);

	this.m = 42000f;
	this.r = RADIUS;
	this.drag = 15f;

// 	this.m = 1000f;
// 	this.r = RADIUS;
// 	this.drag = 7f;

	this.look = field.NOBODY.look;
    }

    protected Vector2D getDrivingForce() {
	Vector2D f = super.getDrivingForce();

	if (Game.random.nextInt() % 1152 == 0) {
	    f.add((Game.random.nextFloat() - 0.5f) * 7000, 
		  (Game.random.nextFloat() - 0.5f) * 7000);
	}

	return f;
    }
}
